param.h File Reference
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes

class | Cgu::Param< T >
| Struct for automatic typing of function parameter arguments. More...
struct | Cgu::Param< T & >
struct | Cgu::Param< T * >
class | Cgu::RemoveRefCond< T, unref >
| Struct which will conditionally convert a reference type to a value type. More...
struct | Cgu::RemoveRefCond< T, true >
struct | Cgu::RemoveRefCond< T &, true >
struct | Cgu::RemoveRefCond< T, false >
struct | Cgu::RemoveRefCond< T &, false >

## Namespaces

namespace | Cgu